KDE 4.7 PyKDE API Reference

- KDE's Python API

# CSSCharsetRule Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.CSSRule
Namespace: DOM

## Detailed Description

The CSSCharsetRule interface a \@charset rule in a CSS style sheet. A \@charset rule can be used to define the encoding of the style sheet.

## Methods
| __init__ (self)
| __init__ (self, DOM.CSSCharsetRule other)
| __init__ (self, DOM.CSSRule other)
DOM.DOMString | encoding (self)
| setEncoding (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSCharsetRule | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.CSSRule | other
| ) |  |  |

DOM.DOMString encoding | ( |  | self ) |

The encoding information used in this \@charset rule.

setEncoding | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see encoding CSSException SYNTAX_ERR: Raised if the specified encoding value has a syntax error and is unparsable.

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this encoding rule is readonly.